.event-block { display: flex; flex-wrap: wrap; background-color: white; padding: 20px 0px; border-radius: 8px; margin-bottom: 20px; box-sizing: border-box; }
.event-block-container { display: flex; width: 100%; padding-bottom:80px; gap:60px; align-items:center;}
.event-image { flex: 1 1 33.33%; max-width: 33.33%; }

.event-details { flex: 2 1 66.67%; max-width: 66.67%; margin-top: 20px; }

.event-block h2 a{ display:flex; color: #684682; font-size: 34px; font-style: normal; font-weight: 600; line-height: 42px; text-decoration:none;}
.event-block h2 a:hover { text-decoration:underline; }

.event-block h2,
.event-block p { margin: 0 0 10px; }
.event-block p:last-child { margin-bottom: 0; }

#event-container .event-block:last-child hr{ border:0px; }


#event-container > h2{ color: #684682; text-align: center; font-size: 44px; font-style: normal; font-weight: 600; line-height: 50px; padding-bottom:30px;}
.event-block hr { border:1px solid var(--global-gray-400); width: 100%; align-self: stretch; }
.event-block-image { align-content: center; }
.event-block-image img { max-width:450px; border-radius: 30px; }
.event-block-content { width:100%; }

.event-date-block {display: flex; height: 32px; padding: 10px 15px; align-items: center; gap: 10px; color: #FFF; border-radius: 0px 20px; background: rgb(145, 195, 186); color: var(--global-palette1); font-size: 16px; font-style: normal; font-weight: 700; line-height: 20px; letter-spacing: 0.32px; width: fit-content;}

.event-center { font-size: 20px; font-style: normal; font-weight: 400; line-height: 22px; padding-bottom: 35px;}

#event-container a.wp-block-button__link { text-decoration: none; display: inline-block; border-radius: 15px; position: relative; transition: filter .25s ease-out; padding: 17px 25px; color:#684682; background: #FFD51E; overflow: hidden; z-index: 0;}
#event-container a.wp-block-button__link:before { content: ''; width: 100%; height: 100%; background: #91c3ba; top: 50%; left: 50%; transform: translate(-50%, -50%); z-index: -1; transition: opacity .25s ease-out; display: block; position: absolute; opacity: 0; }
#event-container a.wp-block-button__link:hover:before { opacity: 1; }

/* Media query for mobile view */
@media (max-width:1400px){ #event-container {padding:0 20px;} }
@media (max-width: 1225px) { .event-block { flex-direction: column; padding: 20px 30px; } .event-block-image img {width:100%;} }
@media (max-width: 768px) { 
	#event-container {padding:0;}
	.event-block { flex-direction: column; padding: 20px 0; }
	.event-block-container { flex-wrap:wrap; gap:20px; }
	#event-container > h2 { text-align:left; padding-bottom:0; }
	.event-block h2 a { font-size:30px; }
    .event-image,
    .event-details { flex: 1 1 100%; max-width: 100%; padding-right: 0; margin-top: 0; }
}